Skip to main content

Starting March 27, 2026, RC is rebranded as Nexconn. Existing RC SDK customers can continue using this documentation. New customers should refer to the Nexconn developer documentation.

Mute a User in One-to-One Chat

Mute or unmute a specified user in a one-to-one chat scenario. If a user is muted in a one-to-one chat, they will be unable to send messages in that chat.

tip

The Server API for sending one-to-one chat messages is not affected by the mute status. Muted users can still send messages in one-to-one chats via the Server API.

Request Method

POST: https://data center domain/user/chat/fb/set.json

Signature Rule: All server API requests must be validated according to the API Request Signature rules.

Rate Limit: 100 requests per second

Request Body Parameters

The HTTP request body data format is application/x-www-form-urlencoded, and it supports the following HTTP form parameters:

ParameterTypeRequiredDescription
userIdStringYesThe ID of the user to be muted. Supports batch settings, with a maximum of 1000 users.
stateIntYesMute status, 0 to unmute, 1 to mute.
typeStringYesConversation type, currently supports one-to-one chat PERSON.

Request Example

POST /user/chat/fb/set.json HTTP/1.1
Host: api.rong-api.com
App-Key: uwd1c0sxdlx2
Nonce: 14314
Timestamp: 1408710653491
Signature: 45beb7cc7307889a8e711219a47b7cf6a5b000e8
Content-Type: application/x-www-form-urlencoded

userId=123&userId=456&state=1&type=PERSON

Response

The HTTP response body contains a JSON object with the following structure:

Return ValueTypeDescription
codeNumberReturn code, 200 indicates success.

Response Example

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{"code":200}